
import com.sap.dbtech.powertoys.*;

/**
 *
 */
public class StateSAPDB
{
    /**
     * creates a new StateSAPDB
     */
    private
    StateSAPDB ()
    {
    }
    /**
     * used when called form the command line
     */
    public static void main (String [] args)
    throws
        DBMException,
        ClassNotFoundException,
        com.sap.dbtech.rte.comm.RTEException
    {
        DemodbData userInfo = DemodbData.parseDbmArgs (args);
        /*
         * load driver and connect
         */
        Class.forName ("com.sap.dbtech.jdbc.DriverSapDB");
        DBM session = DBM.dbDBM (userInfo.host, userInfo.dbname);
        session.cmd ("user_logon " + userInfo.username
            + "," + userInfo.password);
        /*
         * execute command
         */
        String result = session.cmd ("db_state");
        System.out.println (result);
    }
}
